//
//  HyxenAdLocusError.h
//  HyxenAdLocus_SDKSample
//
//  Created by Hyxen on 14/2/27.
//
//

#import <Foundation/Foundation.h>


// NSError codes for GAD error domain.
typedef enum {
    // The ad request is invalid.  The localizedFailureReason error description
    // will have more details.  Typically this is because the ad did not have the
    // ad unit ID or root view controller set.
    kAdLocusADErrorInvalidRequest,
    
    // The ad request was successful, but no ad was returned.
    kAdLocusADErrorInvalidAppKey,
    
    // The ad request was successful, but no ad was returned.
    kAdLocusADErrorNoFill,
    
    // There was an error loading data from the network.
    kAdLocusADErrorNetworkError,
    
    // The ad server experienced a failure processing the request.
    kAdLocusADErrorServerError,
    
    // The current device's OS is below the minimum required version.
    kAdLocusADErrorOSVersionTooLow,
    
    // The request was unable to be loaded before being timed out.
    kAdLocusADErrorTimeout,
    
    // Will not send request because the interstitial object has already been
    // used.
    kAdLocusADErrorInterstitialAlreadyUsed,
    
    // The mediation response was invalid.
    kAdLocusADErrorMediationDataError,
    
    // Error finding or creating a mediation ad network adapter.
    kAdLocusADErrorMediationAdapterError,
    
    // The mediation request was successful, but no ad was returned from any
    // ad networks.
    kAdLocusADErrorMediationNoFill,
    
    // Attempting to pass an invalid ad size to an adapter.
    kAdLocusADErrorMediationInvalidAdSize,
    
} AdLocusADErrorCode;

@interface AdLocusError : NSError
- (id)initWithCode:(NSInteger)code description:(NSString *)description;
@end
